# Webhook Notifications

When an event occurs, 8Pay sends the corresponding data to your designated webhook endpoint. To ensure the authenticity of the notification, you can utilize the provided endpoint. For a detailed understanding of webhook notifications and the complete list of events, please refer to the [Webhook Notifications](/webhook-notifications/overview.md) section.

## Get a notification

<mark style="color:blue;">`GET`</mark> `https://api.8pay.network/v1/:chain/webhook-notifications/:notificationId`

#### Path Parameters

| Name           | Type   | Description                                 |
| -------------- | ------ | ------------------------------------------- |
| notificationId | string | id of the notification                      |
| chain          | string | [chain identifier](/api/overview.md#chains) |

#### Headers

| Name          | Type   | Description       |
| ------------- | ------ | ----------------- |
| Authorization | String | Bearer \<api-key> |

{% tabs %}
{% tab title="200 " %}

```http
{
    "id": "5ccf8bdc7707a8effa371d01452644d3a388b975290b968874d0a44ec0219226",
    "type": "one-time",
    "event": "Payment",
    "timestamp": 1585220116,
    "transactionHash": "0xb0f21bf5d722d981330d45d8625568cd0b356e8c7c464857131a6ebf99eadf80",
    "transactionStatus": "confirmed",
    "data": {
        "sender": "0xe42fD8a58A82fDF624A8a94dA03a0e44F9934Dff",
        "description": "Ebook",
        "token": "8PAY",
        "category": "Shop",
        "tag": "ebook_859294",
        "receivers": [
            {
                "user": "0xB2e9F6F9414ea12A33302923A55b9B4Cf99CCD90",
                "amount": "5",
                "fee": "0.05"
            }
        ]
    },
    "extra": {
        "banner": "BR69",
        "traffic": "facebook"
    }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.8pay.network/api/webhook-notifications.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
